function [ output_args ] = M_plotFit( fn, outfn )
%M_PLOTRESULTS Summary of this function goes here
%   Detailed explanation goes here
disp(['load data:', fn])

%% --- load data --- %%
try
    model=load([fn,'_seq_fit.txt']);
catch
    model=[];
    disp('no data'); return;
end
try
    org=load([fn,'_seq_org.txt']);
catch
    org=[];
    disp('no data'); return;
end
%% ----------------- %%
    
[d,n]=size(model')
[COLS, DCOLS]=M_getColors();

figure(1)
clf;
for i=1:d
    plot(org(:,i), '-o', 'Linewidth', 1, 'Color', DCOLS(i,:))
    hold on
end
for i=1:d
    plot(model(:,i), '-', 'Linewidth', 1, 'Color', COLS(i,:))
end
hold off;
largefont
xlim([0,n]); ylim([-0.02,1.1]);
xlabel('Time (weekly)'); ylabel('# of clicks @ time')
if(size(model)==size(org))
    err=M_rmse(model, org) 
else
    err=0
end
title(['Fitting result - RMSE=', num2str(err)])
labels=strcat({'x'},int2str((1:d).')).';
M_setYearLabels();
legend(labels, 2) 
if(~isempty(outfn))
    saveas(gcf, [outfn, '_fit.fig'])
    saveas(gcf, [outfn, '_fit.eps'], 'epsc')
    %saveas(gcf, [outfn, '_fit.png'])
end


end

